### Name: MatchesIndices
### Title: provides boolean vectors where matches were found
### Aliases: MatchesIndices
### Keywords: manip

### ** Examples

      # Example 1
        Vector <- "sum(F17:G18)+G190*G2+ sum(A1:B2)"
        patt <- '[A-F]+[0-9]+'
        MatchesIndices (Vector,patt)
        #  $index_x
        #  sum(F17:G18)+G190*G2+ sum(A1:B2) 
        #                              TRUE 
        #  
        #  $index_patt
        #  [A-F]+[0-9]+ 
        #  TRUE        
        
        # Example 2
        MatchesIndices (c(Vector, "sum(A1:B2)"),patt)
                 
        #      $index_x
        #      sum(F17:G18)+G190*G2+ sum(A1:B2)                       sum(A1:B2) 
        #                                  TRUE                             TRUE 
        #      
        #      $index_patt
        #      [A-F]+[0-9]+ 
        #              TRUE 
        
        
        
        # Example 3
        MatchesIndices (x =c("Patrick Pasot, Patrick Schmidt","Patrick Denker"),
                        patt   =c("Patrick","Schmidt")
                        ) # Matches
        #       $index_x
        #       Patrick Pasot, Patrick Schmidt                 Patrick Denker 
        #                                 TRUE                           TRUE 
        #       
        #       $index_patt
        #       Patrick Schmidt 
        #          TRUE    TRUE 


        # Example 4
        out <-   MatchesIndices (x =c("Patrick Pasot, Patrick Schmidt","Patrick Denker"),
                          patt   =c("Pat[a-z]+")
                           ) # Matches
        
        out
        #       $index_x
        #       Patrick Pasot, Patrick Schmidt                 Patrick Denker 
        #                                 TRUE                           TRUE 
        #       
        #       $index_patt
        #       Pat[a-z]+ 
        #            TRUE 



